## GtkSourceView Initialization and Finalization GtkSourceView Initialization and Finalization |

## Functions

void | gtk_source_init ()
void | gtk_source_finalize ()

## Includes

    #include <gtksourceview/gtksource.h>

## Description

## Functions

### gtk_source_init ()

    void
    gtk_source_init (void);

Initializes the GtkSourceView library (e.g. for the internationalization).

This function can be called several times, but is meant to be called at the beginning of `main()`, before any other GtkSourceView function call.

Since: 4.0

### gtk_source_finalize ()

    void
    gtk_source_finalize (void);

Free the resources allocated by GtkSourceView. For example it unrefs the singleton objects.

It is not mandatory to call this function, it's just to be friendlier to memory debugging tools. This function is meant to be called at the end of `main()`. It can be called several times.

Since: 4.0

## Types and Values